1 Reply Latest reply on Aug 1, 2017 12:41 AM by Ben Gao

    wildfly 10.1.0.final,JSF Multi-JSF installer mojarra-2.x ERROR

    Ben Gao Novice

      I   use  :  mvn clean install -Pmojarra-2.x

      then :

       

      [INFO] Scanning for projects...

      [INFO]                                                                        

      [INFO] ------------------------------------------------------------------------

      [INFO] Building WildFly: JSF Multi-JSF installer 10.1.0.Final

      [INFO] ------------------------------------------------------------------------

      Downloading: http://172.20.6.118:8081/nexus/content/groups/public/com/sun/faces/jsf-impl/2.1.25/jsf-impl-2.1.25.pom

      [WARNING] The POM for com.sun.faces:jsf-impl:jar:2.1.25 is missing, no dependency information available

      [INFO]

      [INFO] --- maven-clean-plugin:3.0.0:clean (default-clean) @ wildfly-jsf-installer ---

      [INFO]

      [INFO] --- maven-enforcer-plugin:1.4.1:enforce (ban-bad-dependencies) @ wildfly-jsf-installer ---

      [WARNING] Missing POM for com.sun.faces:jsf-impl:jar:2.1.25

      [WARNING]

      Dependency convergence error for com.sun.faces:jsf-impl:2.2.13.SP1 paths to dependency are:

      +-org.wildfly:wildfly-jsf-installer:10.1.0.Final

        +-org.wildfly:wildfly-jsf-injection:10.1.0.Final

          +-org.wildfly:wildfly-jsf:10.1.0.Final

            +-com.sun.faces:jsf-impl:2.2.13.SP1

      and

      +-org.wildfly:wildfly-jsf-installer:10.1.0.Final

        +-org.wildfly:wildfly-jsf-injection:10.1.0.Final

          +-com.sun.faces:jsf-impl:2.2.13.SP1

      and

      +-org.wildfly:wildfly-jsf-installer:10.1.0.Final

        +-com.sun.faces:jsf-impl:2.1.25

       

       

      [WARNING] Rule 1: org.apache.maven.plugins.enforcer.DependencyConvergence failed with message:

      Failed while enforcing releasability the error(s) are [

      Dependency convergence error for com.sun.faces:jsf-impl:2.2.13.SP1 paths to dependency are:

      +-org.wildfly:wildfly-jsf-installer:10.1.0.Final

        +-org.wildfly:wildfly-jsf-injection:10.1.0.Final

          +-org.wildfly:wildfly-jsf:10.1.0.Final

            +-com.sun.faces:jsf-impl:2.2.13.SP1

      and

      +-org.wildfly:wildfly-jsf-installer:10.1.0.Final

        +-org.wildfly:wildfly-jsf-injection:10.1.0.Final

          +-com.sun.faces:jsf-impl:2.2.13.SP1

      and

      +-org.wildfly:wildfly-jsf-installer:10.1.0.Final

        +-com.sun.faces:jsf-impl:2.1.25

      ]

      [INFO] ------------------------------------------------------------------------

      [INFO] BUILD FAILURE

      [INFO] ------------------------------------------------------------------------

      [INFO] Total time: 12.691 s

      [INFO] Finished at: 2017-07-25T14:41:01+08:00

      [INFO] Final Memory: 37M/536M

      [INFO] ------------------------------------------------------------------------

      [ERROR] Failed to execute goal org.apache.maven.plugins:maven-enforcer-plugin:1.4.1:enforce (ban-bad-dependencies) on project wildfly-jsf-installer: Some Enforcer rules have failed. Look above for specific messages explaining why the rule failed. -> [Help 1]

      [ERROR]

      [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.

      [ERROR] Re-run Maven using the -X switch to enable full debug logging.

      [ERROR]

      [ERROR] For more information about the errors and possible solutions, please read the following articles:

      [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException